# OMGCLOCK - Simple clock addin

Test addin for [librtc](http://git.planet-casio.com/cakeisalie5/librtc).

## Pre-requisites

| Name                                                             | Version  |
| ---------------------------------------------------------------- | -------- |
| [g1a-wrapper](https://bitbucket.org/Lephenixnoir/add-in-wrapper) | (latest) |

## Getting

You should be able to get the binary on Planète Casio (link not yet available).

Otherwise, just clone it :

	git clone --recursive https://forge.touhey.fr/casio/addins/omgclock

## Building

First, create the Makefile configuration with the `./configure` command. Defaults settings should be enough, but if you want to change some settings, see `./configure --help`.

To build the addin, simply `make`. It will also compile all by itself the required libraries (under the lib/ directory).

If you want to contribute, these Makefile targets might help you :
- `make clean`: clean the object files and temporary binary files ;
- `make fclean`: cleans then deletes the final addin ;
- `make re`: fcleans, then makes the project.

## Transferring

To transfer the addin with `UsbConnector` (1.3, renamed into `usb-connector`), use `make transfer`. If you want to use another piece of software, you don't need me to tell you how to use it.
