/* ************************************************************************** */
/*                                       _____           _                    */
/*  main.h                              |_   _|__  _   _| |__   ___ _   _     */
/*  | Project : OMGCLOCK                  | |/ _ \| | | | '_ \ / _ \ | | |    */
/*                                        | | (_) | |_| | | | |  __/ |_| |    */
/*  By: thomas <thomas@touhey.fr>         |_|\___/ \__,_|_| |_|\___|\__, |.fr */
/*  Last updated: 2016/05/26 08:08:29                               |___/     */
/*                                                                            */
/* ************************************************************************** */

#ifndef MAIN_H
# define MAIN_H
# include <main/compiler.h>

/*
**	Constants coming from the linker script
*/

extern unsigned int romdata, bbss, ebss, bdata, edata;

/*
**	Syscalls
*/

void __Hmem_SetMMU(unsigned int, unsigned int, int);
void __GLibAddinAplExecutionCheck(int, int, int);
int GetKeyW(int *column, int *row, int sel, int time,
	int menu, unsigned short *keycode);

/*
**	Functions
*/

int start(void)
	__pretext;
int	main(void);

#endif /* MAIN_H */
