/* ************************************************************************** */
/*                                        _____           _                   */
/*  main.c                              |_   _|__  _   _| |__   ___ _   _     */
/*  | Project : OMGCLOCK                  | |/ _ \| | | | '_ \ / _ \ | | |    */
/*                                        | | (_) | |_| | | | |  __/ |_| |    */
/*  By: thomas <thomas@touhey.fr>         |_|\___/ \__,_|_| |_|\___|\__, |.fr */
/*  Last updated: 2016/03/28 12:11:02                               |___/     */
/*                                                                            */
/* ************************************************************************** */
/*	This program is free software: you can redistribute it and/or modify
**	it under the terms of the GNU General Public License as published by
**	the Free Software Foundation, either version 3 of the License, or
**	(at your option) any later version.
**
**	This program is distributed in the hope that it will be useful,
**	but WITHOUT ANY WARRANTY; without even the implied warranty of
**	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
**	GNU General Public License for more details.
**
**	You should have received a copy of the GNU General Public License
**	along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/

.global ___Hmem_SetMMU
.global _GetKeyW
.type _GetKeyW, @function
.global ___GLibAddinAplExecutionCheck

.align 4
___Hmem_SetMMU:
	mov.l	syscall_table, r2
	mov.l	1f, r0
	jmp	@r2
	nop
1:	.long	0x3fa

.align 2
.align 2
_GetKeyW:
	mov.l	syscall_table, r2
	mov.l	1f, r0
	jmp @r2
	nop
1:	.long	0x247

.align 4
___GLibAddinAplExecutionCheck:
	mov.l	syscall_table, r2
	mov		#0x13, r0
	jmp	@r2
	nop

.align 4
syscall_table:
	.long	0x80010070
