/* ************************************************************************** */
/*                                       _____           _                    */
/*  librtc/internals/datetime.h         |_   _|__  _   _| |__   ___ _   _     */
/*  | Project : librtc                    | |/ _ \| | | | '_ \ / _ \ | | |    */
/*                                        | | (_) | |_| | | | |  __/ |_| |    */
/*  By: thomas <thomas@touhey.fr>         |_|\___/ \__,_|_| |_|\___|\__, |.fr */
/*  Last updated: 2016/05/25 04:28:37                               |___/     */
/*                                                                            */
/* ************************************************************************** */
/*	This program is free software: you can redistribute it and/or modify
**	it under the terms of the GNU General Public License as published by
**	the Free Software Foundation, either version 3 of the License, or
**	(at your option) any later version.
**
**	This program is distributed in the hope that it will be useful,
**	but WITHOUT ANY WARRANTY; without even the implied warranty of
**	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
**	GNU General Public License for more details.
**
**	You should have received a copy of the GNU General Public License
**	along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/

#ifndef LIBRTC_INTERNALS_DATETIME_H
# define LIBRTC_INTERNALS_DATETIME_H
# include <librtc/internals.h>
# define secs_in_minute 60
# define secs_in_hour 3600 // 60 * secs_in_minute
# define secs_in_day 86400 // 24 * secs_in_hour
# define secs_in_year 31536000 // 365 * secs_in_day
# define secs_in_4years 126230400 // 4 * secs_in_year + secs_in_day
#endif /* LIBRTC_INTERNALS_DATETIME_H */
